/**
 * Copyright SCN Guichet Entreprises, Capgemini and contributors (2014-2016)
 *
 * This software is a computer program whose purpose is to maintain and
 * administrate standalone forms.
 *
 * This software is governed by the CeCILL  license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL license and that you accept its terms.
 */
* {
    display: none;
    font-family: inherit;
    position: relative;
}

help, warning {
    border: 1px solid;
    border-radius: 3px;
    display: block;
    font-size: .9em;
    margin-top: .4em;
    min-height: 1.2em;
    padding: .3em .6em .3em 1.8em;
    text-align: justify;
}

help:before, warning:before {
    border-right: 1px solid;
    content: '?';
    display: block;
    font-size: .9em;
    font-weight: bold;
    position: absolute;
    text-align: center;
    top: 0;
    bottom: 0;
    left: 0;
    width: 1.2em;
}

warning {
    border-color: #f0ad4e;
}

warning:before {
    background-color: #fcf8e3;
    border-right-color: #f0ad4e;
    color: #f0ad4e;
    content: '!';
}

help {
    border-color: #5bc0de;
}

help:before {
    background-color: #d9edf7;
    border-right-color: #5bc0de;
    color: #5bc0de;
    content: '!';
}

form > warning, form > help {
    margin-bottom: .8em;
}

description {
    display: block;
    margin: .3em 0;
    text-align: justify;
}
